nxt.blockchain

## Enum Generator.Event

- java.lang.Object
- - java.lang.Enum<Generator.Event>
  - - nxt.blockchain.Generator.Event

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Generator.Event>
  Enclosing class:
    Generator

      public static enum Generator.Event
      extends java.lang.Enum<Generator.Event>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GENERATION_DEADLINE`
    `START_FORGING`
    `STOP_FORGING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Generator.Event` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Generator.Event[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GENERATION_DEADLINE

          public static final Generator.Event GENERATION_DEADLINE

    - #### START_FORGING

          public static final Generator.Event START_FORGING

    - #### STOP_FORGING

          public static final Generator.Event STOP_FORGING

  - ### Method Detail

    - #### values

          public static Generator.Event[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Generator.Event c : Generator.Event.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Generator.Event valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null